org.gnome.gtk

## Class RadioGroup

- Object
- - org.gnome.gtk.RadioGroup

-     public class RadioGroup
      extends Object

  A group of RadioActions or Radio widgets sharing the mutually exclusive relationship that only one of the group member can be selected at a time.

  A group can contain only one type of object. It must be `RadioAction`, `RadioButton`, `RadioMenuItem` or `RadioToolButton`.

  Since:
    4.0.15
  Author:
    Andrew Cowie, Mario Torre, Guillaume Mazoyer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RadioGroup.GroupToggled` Signal that is emitted each time the active action or widget of the group is changed.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadioGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connect(RadioGroup.GroupToggled handler)` Hook up a handler to the `RadioGroup.GroupToggled` signal.
    `Object` | `getActive()` Indicate which RadioAction or Radio widget in this RadioGroup is currently selected active.

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RadioGroup

          public RadioGroup()

  - ### Method Detail

    - #### connect

          public void connect(RadioGroup.GroupToggled handler)

      Hook up a handler to the `RadioGroup.GroupToggled` signal.
      Since:
        4.0.15

    - #### getActive

          public Object getActive()

      Indicate which RadioAction or Radio widget in this RadioGroup is currently selected active.

      This will return `null` if no RadioAction or Radio widget is selected, but note that this is generally indicative of something wrong with the programming; generally a RadioGroup should always have at least one RadioAction or Radio widget selected.

      Since:
        4.0.15